#ifndef LOGININFO_H
#define LOGININFO_H

#include "framelesswindow.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLabel;
class QFrame;

class LoginInfo : public CFramelessWindow
{
    Q_OBJECT

public:
    explicit LoginInfo(QWidget *parent = 0);
    ~LoginInfo();

    void setOut(bool out);
    bool isOut();

    void setAnimationState(bool state);
    bool isAnimationState();

private:
    void initUI();

private:
    QWidget* mCentralWidget;
    QVBoxLayout* mMainVLayout;

    QHBoxLayout* mTopHLayout;
    QLabel* mHeadLabel;
    QLabel* mNameLabel;

    QFrame* mVerticalLine;

    QGridLayout* mInfoGLayout;
    QLabel* mInfo11Label;
    QLabel* mInfo12Label;
    QLabel* mInfo21Label;
    QLabel* mInfo22Label;
    QLabel* mInfo31Label;
    QLabel* mInfo32Label;

    bool mOut;
    bool mAnimation;
};

#endif // LOGININFO_H
